/******************************************************************************
   BDBDatabaseEntryData
   BDB
 
  @availability OS X, GNUstep
  @copyright (C) 2004, 2005, 2006 Oliver Langer
 
  Author: Oliver Langer

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

  <pre>
  -------------------------------------------------------------------------
  Modification history

  03.01.2005 ola     initial version
  22.08.2006 ola     license changed
  -------------------------------------------------------------------------
  </pre>
******************************************************************************/


#if !defined(__BDBDATABASE_ENTRY_DATA_H)
#define __BDBDATABASE_ENTRY_DATA_H

#include <Foundation/Foundation.h>
#include <BDB/BDBObject.h>

@interface BDBDatabaseEntryData : BDBObject {
@private 
  NSData *data;
}

/*!
 * @method initWithData
 * @abstract Initializer
 * @result self
 */
- init;


/*!
 * @method initWithData
 * @abstract Initializes this instance with the given data
 * @param object to use
 */
- initWithData: (NSData *) aDatum;


/**
 * @result returns the data stored in this entry
 */
- (NSData *) data;


- (void) dealloc;


/**
 * @abstract Calling this method will remove the internal data
 * @result self
 */
- releaseData;


/**
 * Set the data for this entry
 * @param data new data
 * @result self
 */
- setData: (NSData *) data;
@end
#endif
